Loading...
Searching...
No Matches
starpu_worker.h File Reference
`#include <stdlib.h>`
`#include <starpu_config.h>`
`#include <starpu_thread.h>`
`#include <starpu_task.h>`
`#include <hwloc.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_sched_ctx_iterator
struct | starpu_worker_collection

## Macros

#define | starpu_worker_get_id_check()

## Enumerations

enum | starpu_node_kind { STARPU_UNUSED , STARPU_CPU_RAM , STARPU_CUDA_RAM , STARPU_OPENCL_RAM , STARPU_DISK_RAM , STARPU_MIC_RAM , STARPU_MPI_MS_RAM }
enum | starpu_worker_archtype { STARPU_CPU_WORKER , STARPU_CUDA_WORKER , STARPU_OPENCL_WORKER , STARPU_MIC_WORKER , STARPU_MPI_MS_WORKER , STARPU_ANY_WORKER }
enum | starpu_worker_collection_type { STARPU_WORKER_TREE , STARPU_WORKER_LIST }

## Functions

unsigned | starpu_worker_get_count (void)
unsigned | starpu_cpu_worker_get_count (void)
unsigned | starpu_cuda_worker_get_count (void)
unsigned | starpu_opencl_worker_get_count (void)
unsigned | starpu_mic_worker_get_count (void)
unsigned | starpu_mpi_ms_worker_get_count (void)
unsigned | starpu_mic_device_get_count (void)
int | starpu_worker_get_id (void)
unsigned | _starpu_worker_get_id_check (const char *f, int l)
int | starpu_worker_get_bindid (int workerid)
void | starpu_sched_find_all_worker_combinations (void)
enum starpu_worker_archtype | starpu_worker_get_type (int id)
int | starpu_worker_get_count_by_type (enum starpu_worker_archtype type)
unsigned | starpu_worker_get_ids_by_type (enum starpu_worker_archtype type, int *workerids, unsigned maxsize)
int | starpu_worker_get_by_type (enum starpu_worker_archtype type, int num)
int | starpu_worker_get_by_devid (enum starpu_worker_archtype type, int devid)
void | starpu_worker_get_name (int id, char *dst, size_t maxlen)
void | starpu_worker_display_names (FILE *output, enum starpu_worker_archtype type)
int | starpu_worker_get_devid (int id)
int | starpu_worker_get_mp_nodeid (int id)
struct starpu_tree * | starpu_workers_get_tree (void)
unsigned | starpu_worker_get_sched_ctx_list (int worker, unsigned **sched_ctx)
void | starpu_worker_get_current_task_exp_end (unsigned workerid, struct timespec *date)
unsigned | starpu_worker_is_blocked_in_parallel (int workerid)
unsigned | starpu_worker_is_slave_somewhere (int workerid)
char * | starpu_worker_get_type_as_string (enum starpu_worker_archtype type)
int | starpu_bindid_get_workerids (int bindid, int **workerids)
int | starpu_worker_get_devids (enum starpu_worker_archtype type, int *devids, int num)
int | starpu_worker_get_stream_workerids (unsigned devid, int *workerids, enum starpu_worker_archtype type)
unsigned | starpu_worker_get_sched_ctx_id_stream (unsigned stream_workerid)
hwloc_cpuset_t | starpu_worker_get_hwloc_cpuset (int workerid)
hwloc_obj_t | starpu_worker_get_hwloc_obj (int workerid)
int | starpu_memory_node_get_devid (unsigned node)
unsigned | starpu_worker_get_local_memory_node (void)
unsigned | starpu_worker_get_memory_node (unsigned workerid)
unsigned | starpu_memory_nodes_get_count (void)
int | starpu_memory_node_get_name (unsigned node, char *name, size_t size)
int | starpu_memory_nodes_get_numa_count (void)
int | starpu_memory_nodes_numa_id_to_devid (int osid)
int | starpu_memory_nodes_numa_devid_to_id (unsigned id)
enum starpu_node_kind | starpu_node_get_kind (unsigned node)
unsigned | starpu_combined_worker_get_count (void)
unsigned | starpu_worker_is_combined_worker (int id)
int | starpu_combined_worker_get_id (void)
int | starpu_combined_worker_get_size (void)
int | starpu_combined_worker_get_rank (void)
int | starpu_combined_worker_assign_workerid (int nworkers, int workerid_array[])
int | starpu_combined_worker_get_description (int workerid, int *worker_size, int **combined_workerid)
int | starpu_combined_worker_can_execute_task (unsigned workerid, struct starpu_task *task, unsigned nimpl)
void | starpu_parallel_task_barrier_init (struct starpu_task *task, int workerid)
void | starpu_parallel_task_barrier_init_n (struct starpu_task *task, int worker_size)
Scheduling operations
int | starpu_worker_sched_op_pending (void)
void | starpu_worker_relax_on (void)
void | starpu_worker_relax_off (void)
int | starpu_worker_get_relax_state (void)
void | starpu_worker_lock (int workerid)
int | starpu_worker_trylock (int workerid)
void | starpu_worker_unlock (int workerid)
void | starpu_worker_lock_self (void)
void | starpu_worker_unlock_self (void)
void | starpu_worker_set_going_to_sleep_callback (void(*callback)(unsigned workerid))
void | starpu_worker_set_waking_up_callback (void(*callback)(unsigned workerid))

## Variables

struct starpu_worker_collection | starpu_worker_list
struct starpu_worker_collection | starpu_worker_tree